// Generated by imageconverter. Please, do not edit!

#ifndef BITMAPDATABASE_HPP
#define BITMAPDATABASE_HPP

#include <touchgfx/hal/Types.hpp>
#include <touchgfx/Bitmap.hpp>

const uint16_t BITMAP_BLUE_AREA_BUTTON_ACTIVE_ID = 0; // Size: 57x58 pixels
const uint16_t BITMAP_BLUE_AREA_BUTTON_INACTIVE_ID = 1; // Size: 57x58 pixels
const uint16_t BITMAP_BLUE_DOTS_BUTTON_ACTIVE_ID = 2; // Size: 57x58 pixels
const uint16_t BITMAP_BLUE_DOTS_BUTTON_INACTIVE_ID = 3; // Size: 57x58 pixels
const uint16_t BITMAP_BLUE_LINE_BUTTON_ACTIVE_ID = 4; // Size: 57x58 pixels
const uint16_t BITMAP_BLUE_LINE_BUTTON_INACTIVE_ID = 5; // Size: 57x58 pixels
const uint16_t BITMAP_CONTROL_CENTER_BUTTON_ID = 6; // Size: 191x191 pixels
const uint16_t BITMAP_CONTROL_CENTER_BUTTON_PRESSED_ID = 7; // Size: 191x191 pixels
const uint16_t BITMAP_CONTROL_COLOR_WHEEL_ID = 8; // Size: 248x248 pixels
const uint16_t BITMAP_CONTROL_MENU_ARROW_DOWN_ID = 9; // Size: 96x56 pixels
const uint16_t BITMAP_CONTROL_MENU_ARROW_DOWN_INACTIVE_ID = 10; // Size: 96x56 pixels
const uint16_t BITMAP_CONTROL_MENU_ARROW_DOWN_PRESSED_ID = 11; // Size: 96x56 pixels
const uint16_t BITMAP_CONTROL_MENU_ARROW_UP_ID = 12; // Size: 96x56 pixels
const uint16_t BITMAP_CONTROL_MENU_ARROW_UP_INACTIVE_ID = 13; // Size: 96x56 pixels
const uint16_t BITMAP_CONTROL_MENU_ARROW_UP_PRESSED_ID = 14; // Size: 96x56 pixels
const uint16_t BITMAP_CONTROL_MENU_BUTTON_ID = 15; // Size: 60x58 pixels
const uint16_t BITMAP_CONTROL_MENU_BUTTON_PRESSED_ID = 16; // Size: 60x58 pixels
const uint16_t BITMAP_CONTROL_MENU_ICON_DATEPICKER_LARGE_ID = 17; // Size: 46x46 pixels
const uint16_t BITMAP_CONTROL_MENU_ICON_DATEPICKER_SMALL_ID = 18; // Size: 26x26 pixels
const uint16_t BITMAP_CONTROL_MENU_ICON_GAUGE_LARGE_ID = 19; // Size: 46x46 pixels
const uint16_t BITMAP_CONTROL_MENU_ICON_GAUGE_SMALL_ID = 20; // Size: 26x26 pixels
const uint16_t BITMAP_CONTROL_MENU_ICON_PERCENTAGE_LARGE_ID = 21; // Size: 46x46 pixels
const uint16_t BITMAP_CONTROL_MENU_ICON_PERCENTAGE_SMALL_ID = 22; // Size: 26x26 pixels
const uint16_t BITMAP_CONTROL_MENU_ICON_THREE_WAY_LARGE_ID = 23; // Size: 46x46 pixels
const uint16_t BITMAP_CONTROL_MENU_ICON_THREE_WAY_SMALL_ID = 24; // Size: 26x26 pixels
const uint16_t BITMAP_CONTROL_MENU_SHADOW_BOTTOM_ID = 25; // Size: 96x35 pixels
const uint16_t BITMAP_CONTROL_MENU_SHADOW_TOP_ID = 26; // Size: 96x40 pixels
const uint16_t BITMAP_CONTROLS_BACKGROUND_ID = 27; // Size: 380x272 pixels
const uint16_t BITMAP_CONTROLS_MENU_BACKGROUND_ID = 28; // Size: 100x272 pixels
const uint16_t BITMAP_CONTROLS_THREE_WAY_SMALL_CIRCLE_ID = 29; // Size: 63x63 pixels
const uint16_t BITMAP_CONTROLS_WHEEL_BACKGROUND_ID = 30; // Size: 248x248 pixels
const uint16_t BITMAP_DATEPICKER_BOTTOM_SHADOW_OVERLAY_ID = 31; // Size: 279x61 pixels
const uint16_t BITMAP_DATEPICKER_GLASS_OVERLAY_ID = 32; // Size: 284x35 pixels
const uint16_t BITMAP_DATEPICKER_MAIN_BACKGROUND_ID = 33; // Size: 300x180 pixels
const uint16_t BITMAP_DATEPICKER_TOP_SHADOW_OVERLAY_ID = 34; // Size: 279x61 pixels
const uint16_t BITMAP_DEMO_BUTTON_01_ID = 35; // Size: 134x55 pixels
const uint16_t BITMAP_DEMO_BUTTON_01_PRESSED_ID = 36; // Size: 134x55 pixels
const uint16_t BITMAP_DEMO_BUTTON_02_03_ID = 37; // Size: 134x55 pixels
const uint16_t BITMAP_DEMO_BUTTON_02_03_PRESSED_ID = 38; // Size: 134x55 pixels
const uint16_t BITMAP_DEMO_BUTTON_04_ID = 39; // Size: 134x55 pixels
const uint16_t BITMAP_DEMO_BUTTON_04_PRESSED_ID = 40; // Size: 134x55 pixels
const uint16_t BITMAP_DEMO_BUTTON_05_06_ID = 41; // Size: 134x55 pixels
const uint16_t BITMAP_DEMO_BUTTON_05_06_PRESSED_ID = 42; // Size: 134x55 pixels
const uint16_t BITMAP_EASING_BACKGROUND_ID = 43; // Size: 480x272 pixels
const uint16_t BITMAP_EASING_BOTTOM_MENU_ID = 44; // Size: 130x39 pixels
const uint16_t BITMAP_EASING_BOTTOM_MENU_ACTIVE_ID = 45; // Size: 130x39 pixels
const uint16_t BITMAP_EASING_BOTTOM_MENU_SELECTED_ID = 46; // Size: 130x39 pixels
const uint16_t BITMAP_EASING_DOT_ID = 47; // Size: 13x13 pixels
const uint16_t BITMAP_EASING_MENU_BUTTON_ID = 48; // Size: 60x60 pixels
const uint16_t BITMAP_EASING_MENU_BUTTON_PRESSED_ID = 49; // Size: 60x60 pixels
const uint16_t BITMAP_EASING_SIDE_MENU_BUTTON_ID = 50; // Size: 90x62 pixels
const uint16_t BITMAP_EASING_SIDE_MENU_BUTTON_ACTIVE_ID = 51; // Size: 90x62 pixels
const uint16_t BITMAP_EASING_SIDE_MENU_BUTTON_SELECTED_ID = 52; // Size: 90x62 pixels
const uint16_t BITMAP_FLAG_DNK_ACTIVE_ID = 53; // Size: 56x37 pixels
const uint16_t BITMAP_FLAG_DNK_INACTIVE_ID = 54; // Size: 44x29 pixels
const uint16_t BITMAP_FLAG_GBR_ACTIVE_ID = 55; // Size: 56x37 pixels
const uint16_t BITMAP_FLAG_GBR_INACTIVE_ID = 56; // Size: 44x29 pixels
const uint16_t BITMAP_FLAG_JPN_ACTIVE_ID = 57; // Size: 56x37 pixels
const uint16_t BITMAP_FLAG_JPN_INACTIVE_ID = 58; // Size: 44x29 pixels
const uint16_t BITMAP_FLAG_NLD_ACTIVE_ID = 59; // Size: 56x37 pixels
const uint16_t BITMAP_FLAG_NLD_INACTIVE_ID = 60; // Size: 44x29 pixels
const uint16_t BITMAP_FLAG_UKR_ACTIVE_ID = 61; // Size: 56x37 pixels
const uint16_t BITMAP_FLAG_UKR_INACTIVE_ID = 62; // Size: 44x29 pixels
const uint16_t BITMAP_GAUGE_BACKGROUND_ID = 63; // Size: 248x248 pixels
const uint16_t BITMAP_GAUGE_NEEDLE_PIN_ID = 64; // Size: 18x19 pixels
const uint16_t BITMAP_GRAPHDOT_ID = 65; // Size: 9x9 pixels
const uint16_t BITMAP_GRAPH_BACKGROUND_BOTTOM_ID = 66; // Size: 480x74 pixels
const uint16_t BITMAP_GRAPH_MENU_BUTTON_ID = 67; // Size: 76x73 pixels
const uint16_t BITMAP_GRAPH_MENU_BUTTON_PRESSED_ID = 68; // Size: 76x73 pixels
const uint16_t BITMAP_GRAPH_TOGGLE_BUTTON_ACTIVE_ID = 69; // Size: 55x58 pixels
const uint16_t BITMAP_GRAPH_TOGGLE_BUTTON_INACTIVE_ID = 70; // Size: 55x58 pixels
const uint16_t BITMAP_GRAPH_TOP_MENU_ACTIVATE_BUTTON_ID = 71; // Size: 74x46 pixels
const uint16_t BITMAP_GRAPH_TOP_MENU_LINE_ID = 72; // Size: 480x3 pixels
const uint16_t BITMAP_GREEN_AREA_BUTTON_ACTIVE_ID = 73; // Size: 57x58 pixels
const uint16_t BITMAP_GREEN_AREA_BUTTON_INACTIVE_ID = 74; // Size: 57x58 pixels
const uint16_t BITMAP_GREEN_DOTS_BUTTON_ACTIVE_ID = 75; // Size: 57x58 pixels
const uint16_t BITMAP_GREEN_DOTS_BUTTON_INACTIVE_ID = 76; // Size: 57x58 pixels
const uint16_t BITMAP_GREEN_LINE_BUTTON_ACTIVE_ID = 77; // Size: 57x58 pixels
const uint16_t BITMAP_GREEN_LINE_BUTTON_INACTIVE_ID = 78; // Size: 57x58 pixels
const uint16_t BITMAP_HALF_CIRCLE_TOGGLE_BUTTON_ACTIVE_ID = 79; // Size: 55x58 pixels
const uint16_t BITMAP_HALF_CIRCLE_TOGGLE_BUTTON_INACTIVE_ID = 80; // Size: 55x58 pixels
const uint16_t BITMAP_MENU_DEMO_SCREEN_02_ID = 81; // Size: 480x272 pixels
const uint16_t BITMAP_MENU_DEMO_SCREEN_03_ID = 82; // Size: 480x272 pixels
const uint16_t BITMAP_MENU_DEMO_SCREEN_04_ID = 83; // Size: 480x272 pixels
const uint16_t BITMAP_MENU_DEMO_SCREEN_05_ID = 84; // Size: 480x272 pixels
const uint16_t BITMAP_MENU_STAGE_STRETCH_LEFT_SIDE_ID = 85; // Size: 50x272 pixels
const uint16_t BITMAP_MENU_STAGE_STRETCH_RIGHT_SIDE_ID = 86; // Size: 50x272 pixels
const uint16_t BITMAP_NEW_GRAPH_ID = 87; // Size: 110x58 pixels
const uint16_t BITMAP_NEW_GRAPH_PRESSED_ID = 88; // Size: 110x58 pixels
const uint16_t BITMAP_NEW_PIE_CHART_ID = 89; // Size: 110x58 pixels
const uint16_t BITMAP_NEW_PIE_CHART_PRESSED_ID = 90; // Size: 110x58 pixels
const uint16_t BITMAP_PIE_CHART_LEGEND_BLUE_ID = 91; // Size: 28x28 pixels
const uint16_t BITMAP_PIE_CHART_LEGEND_BLUE_ACTIVE_ID = 92; // Size: 28x28 pixels
const uint16_t BITMAP_PIE_CHART_LEGEND_GREEN_ID = 93; // Size: 28x28 pixels
const uint16_t BITMAP_PIE_CHART_LEGEND_GREEN_ACTIVE_ID = 94; // Size: 28x28 pixels
const uint16_t BITMAP_PIE_CHART_LEGEND_ORANGE_ID = 95; // Size: 28x28 pixels
const uint16_t BITMAP_PIE_CHART_LEGEND_ORANGE_ACTIVE_ID = 96; // Size: 28x28 pixels
const uint16_t BITMAP_PIE_CHART_LEGEND_PURPLE_ID = 97; // Size: 28x28 pixels
const uint16_t BITMAP_PIE_CHART_LEGEND_PURPLE_ACTIVE_ID = 98; // Size: 28x28 pixels
const uint16_t BITMAP_PIE_CHART_LEGEND_RED_ID = 99; // Size: 28x28 pixels
const uint16_t BITMAP_PIE_CHART_LEGEND_RED_ACTIVE_ID = 100; // Size: 28x28 pixels
const uint16_t BITMAP_PIE_CHART_LEGEND_YELLOW_ID = 101; // Size: 28x28 pixels
const uint16_t BITMAP_PIE_CHART_LEGEND_YELLOW_ACTIVE_ID = 102; // Size: 28x28 pixels
const uint16_t BITMAP_PIE_TOGGLE_BUTTON_ACTIVE_ID = 103; // Size: 55x58 pixels
const uint16_t BITMAP_PIE_TOGGLE_BUTTON_INACTIVE_ID = 104; // Size: 55x58 pixels
const uint16_t BITMAP_POSTER_IMAGE_00_ID = 105; // Size: 210x218 pixels
const uint16_t BITMAP_POSTER_IMAGE_01_ID = 106; // Size: 210x218 pixels
const uint16_t BITMAP_POSTER_IMAGE_02_ID = 107; // Size: 210x218 pixels
const uint16_t BITMAP_PRODUCT_PRESENTER_MENU_BUTTON_ID = 108; // Size: 60x54 pixels
const uint16_t BITMAP_PRODUCT_PRESENTER_MENU_BUTTON_PRESSED_ID = 109; // Size: 60x54 pixels
const uint16_t BITMAP_PRODUCT_PRESENTER_NAV_BAR_ID = 110; // Size: 480x54 pixels
const uint16_t BITMAP_PRODUCT_PRESENTER_NEXT_ID = 111; // Size: 56x53 pixels
const uint16_t BITMAP_PRODUCT_PRESENTER_NEXT_PRESSED_ID = 112; // Size: 56x53 pixels
const uint16_t BITMAP_SCREEN_SWIPE_DOTS_ACTIVE_ID = 113; // Size: 15x5 pixels
const uint16_t BITMAP_SCREEN_SWIPE_DOTS_INACTIVE_ID = 114; // Size: 15x5 pixels
const uint16_t BITMAP_SMALL_CIRCLE_BIN_ICON_ACTIVE_ID = 115; // Size: 30x34 pixels
const uint16_t BITMAP_SMALL_CIRCLE_BIN_ICON_INACTIVE_ID = 116; // Size: 30x34 pixels
const uint16_t BITMAP_SMALL_CIRCLE_FOLDER_ICON_ACTIVE_ID = 117; // Size: 30x34 pixels
const uint16_t BITMAP_SMALL_CIRCLE_FOLDER_ICON_INACTIVE_ID = 118; // Size: 30x34 pixels
const uint16_t BITMAP_SMALL_CIRCLE_PAPERS_ICON_ACTIVE_ID = 119; // Size: 30x34 pixels
const uint16_t BITMAP_SMALL_CIRCLE_PAPERS_ICON_INACTIVE_ID = 120; // Size: 30x34 pixels

namespace BitmapDatabase
{
#ifndef NO_USING_NAMESPACE_TOUCHGFX
using namespace touchgfx;
#endif

class BitmapData;
const touchgfx::Bitmap::BitmapData* getInstance();
uint16_t getInstanceSize();
}

#endif
